/*----------------------------------------------------------------------

Toy EDProducers and EDProducts for testing purposes only.

----------------------------------------------------------------------*/

#include <stdexcept>
#include <string>
#include <iostream>
#include <fstream>
#include "FWCore/Framework/interface/EDAnalyzer.h"
#include "FWCore/Framework/interface/Event.h"
#include "FWCore/Framework/interface/ESHandle.h"
#include "FWCore/Framework/interface/MakerMacros.h"

#include "FWCore/Framework/interface/EventSetup.h"
#include "FWCore/ParameterSet/interface/ParameterSet.h"

#include "CondFormats/CSCObjects/interface/CSCDBNoiseMatrix.h"
#include "CondFormats/DataRecord/interface/CSCDBNoiseMatrixRcd.h"

namespace edmtest
{
  class CSCNoiseMatrixDBReadAnalyzer : public edm::EDAnalyzer
  {
  public:
    explicit  CSCNoiseMatrixDBReadAnalyzer(edm::ParameterSet const& p) 
    { }
    explicit  CSCNoiseMatrixDBReadAnalyzer(int i) 
    { }
    virtual ~ CSCNoiseMatrixDBReadAnalyzer() { }
    virtual void analyze(const edm::Event& e, const edm::EventSetup& c);
  private:
  };
  
  void
   CSCNoiseMatrixDBReadAnalyzer::analyze(const edm::Event& e, const edm::EventSetup& context)
  {
    std::ofstream DBNoiseMatrixFile("dbmatrix.dat",std::ios::out);
    int counter=0;
    using namespace edm::eventsetup;
    std::cout <<" I AM IN RUN NUMBER "<<e.id().run() <<std::endl;
    std::cout <<" ---EVENT NUMBER "<<e.id().event() <<std::endl;
    edm::ESHandle<CSCDBNoiseMatrix> pNoiseMatrix;
    context.get<CSCDBNoiseMatrixRcd>().get(pNoiseMatrix);

    const CSCDBNoiseMatrix* myNoiseMatrix=pNoiseMatrix.product();
    std::vector<CSCDBNoiseMatrix::Item>::const_iterator it;

    for( it=myNoiseMatrix->matrix.begin();it!=myNoiseMatrix->matrix.end(); ++it ){
      counter++;
      DBNoiseMatrixFile<<counter<<"  "<<it->elem33<<"  "<<it->elem34<<"  "<<it->elem44<<
      "  "<<it->elem35<<"  "<<it->elem45<<"  "<<it->elem55<<"  "<<it->elem46<<"  "<<it->elem56<<
      "  "<<it->elem66<<"  "<<it->elem57<<"  "<<it->elem67<<"  "<<it->elem77<<std::endl;
      if(it->elem33<0){DBNoiseMatrixFile<<" 33(1) negative"<<std::endl;}
      if(it->elem44<0){DBNoiseMatrixFile<<" 44(3) negative"<<std::endl;}
      if(it->elem55<0){DBNoiseMatrixFile<<" 55(6) negative"<<std::endl;}
      if(it->elem66<0){DBNoiseMatrixFile<<" 66(9) negative"<<std::endl;}
      if(it->elem77<0){DBNoiseMatrixFile<<" 77(12) negative"<<std::endl;}
    }
  }
  DEFINE_FWK_MODULE(CSCNoiseMatrixDBReadAnalyzer);
}
